package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesQueueOrderCellPushCfgService;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesQueueOrderCellPushCfg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesQueueOrderCellPushCfgService extends BaseMesService<MesQueueOrderCellPushCfg> implements IMesQueueOrderCellPushCfgService {

    @Override
    protected void setPackQueryBean(MesQueueOrderCellPushCfg bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getPushSourceCode(), MesExtConstWords.PUSH_SOURCE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(bean.getPushType(), MesExtConstWords.PUSH_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(bean.getAreaCode(), MesExtConstWords.AREA_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(bean.getWorkCenterCode(), MesExtConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(bean.getWorkCellCode(), MesExtConstWords.WORK_CELL_CODE, packBean);
    }

}
